=== added file 'Makefile.pretty'
--- Makefile.pretty	1970-01-01 00:00:00 +0000
+++ Makefile.pretty	2006-11-03 22:20:59 +0000
@@ -0,0 +1,16 @@
+doc_dir := doc 
+txt_files := $(wildcard $(addsuffix /*.txt, $(doc_dir)))
+htm_files := $(patsubst %.txt, %.htm, $(txt_files)) doc/bzr_man.htm
+docs: $(htm_files)
+%.htm: %.txt
+	python tools/rst2prettyhtml.py doc/bazaar-vcs.org.kid $*.txt $*.htm
+
+doc/bzr_man.txt: bzrlib/builtins.py \
+		 bzrlib/bundle/commands.py \
+		 bzrlib/conflicts.py \
+		 bzrlib/sign_my_commits.py \
+		 generate_docs.py \
+		 tools/doc_generate/__init__.py \
+		 tools/doc_generate/autodoc_rstx.py
+	python2.4 generate_docs.py -o doc/bzr_man.txt rstx
+

=== modified file 'doc/bazaar-vcs.org.kid'
--- doc/bazaar-vcs.org.kid	2006-09-29 21:39:28 +0000
+++ doc/bazaar-vcs.org.kid	2006-11-03 22:20:59 +0000
@@ -1,23 +1,6 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <?python
-   def local_link(item):
-      if item.tag != '{http://www.w3.org/1999/xhtml}a':
-         return False
-      elif 'href' not in item.attrib:
-         return False
-      elif item.attrib['href'].startswith('http://'):
-         return False 
-      elif item.attrib['href'].startswith('/'):
-         return False
-      elif not item.attrib['href'].endswith('.htm'):
-         return False
-      
-   def fixlink(attrib):
-      attrib = dict(attrib)
-      attrib['href'] = attrib['href'] + 'l'
-      return attrib
-
    def update_attrib(attrib, **kwargs):
       attrib = dict(attrib)
       attrib.update(kwargs)
@@ -243,8 +226,6 @@
 <a name="skipToContent" id="skipToContent"></a>
 <div class="inside" >
 <!--<img id="navProtection" width="1" height="1" border="0" src="/htdocs/bazaarNew/css/spacer.gif" alt="" style="height: 1px"/>-->
-<span py:match="item.tag == 'local_link(item)'" 
-py:strip="True" style='display:None'><a py:attrs="fixlink(item.attrib)">${item.text}${item[:]}</a>${item.tail}</span>
 <a py:match="item.tag == '{http://www.w3.org/1999/xhtml}a' and 'href' not in item.attrib" py:content="item.text" py:attrs="update_attrib(item.attrib, style='color: black')"/>
 <div dir="ltr" id="content" lang="en" xml:lang="en" py:content="body[:]"><span
 class="anchor" id="top"></span> <span class="anchor" id="line-8"></span>

